﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Security.Cryptography;

namespace CaptainQuery.CryptoHashProvider
{
    public sealed class AesHashedCryptoServiceProvider : HashedCryptoServiceProvider
    {
        public AesHashedCryptoServiceProvider()
            : base(new AesCryptoServiceProvider())
        {

        }
    }

    public sealed class TripleDESHashedCryptoServiceProvider : HashedCryptoServiceProvider
    {
        public TripleDESHashedCryptoServiceProvider()
            : base(new TripleDESCryptoServiceProvider())
        {

        }
    }
}
