﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace CaptainQuery.Utils
{
    internal static class Utils
    {
        static public void Clear(this MemoryStream s)
        {
            var buffer=s.GetBuffer();
            Array.Clear(buffer, 0, buffer.Length);            
        }
        public static T[] SubArray<T>(this T[] source, int copyOffset, int copyLength)
        {
            
            var r = new T[copyLength];
            Array.ConstrainedCopy(source, copyOffset, r, 0, copyLength);            
            return r;
        }
    }
}
